Skip to content

Update a zone's manual block

PATCH
/api/zones/{zoneId}/security/blocks/{id}

Changes the action (block or challenge) of an existing per-zone blocklist entry. The source (and therefore the id) is immutable.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

zoneId*

zone-block identifier

Type
string
Required
id*

zone-block identifier

Type
string
Required

Request Body

application/merge-patch+json
JSON
{
  
"action": "block"
}

Responses

zone-block resource updated

JSON
{
  
"@context": "string",
  
"@id": "string",
  
"@type": "string",
  
"geo": {
  
  
"country": "US",
  
  
"country_name": "United States",
  
  
"region": "California",
  
  
"city": "San Francisco",
  
  
"latitude": 37.77,
  
  
"longitude": -122.42,
  
  
"accuracy_radius_km": 20,
  
  
"asn": 15169,
  
  
"asn_organization": "Google LLC"
  
},
  
"source": "203.0.113.10",
  
"action": "block",
  
"type": "ip",
  
"id": "MjAzLjAuMTEzLjEw"
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI